<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">  
    <!-- Myron Papadakis
        Transformation Services Laboratory 
    -->
    <xsl:template match="/">
        <html>
            <body>
                <h2>Bookstore Lab 11</h2>
                <table border="1">
                    <tr>
                        <th>AuthorName</th>
                        <th>AuthorSurname</th>
                        <th>Title</th>
                        <th>Price</th>
                        <th>Year</th> 
                        <th>isExpensive?</th> 
                    </tr>
                    <xsl:for-each select="//book[count(author) = 1]"> 
                        <xsl:sort select="price" order="descending" data-type="number"/>                        
                        <tr>                            
                            <td><xsl:value-of select="substring-before(author, ',')" /> </td>                               
                            <td> <xsl:value-of select="substring-after(author, ',')"/> </td>                                             
                            <td><xsl:value-of select="title" /></td>                         
                            <td><xsl:value-of select="concat(price,' ',price/@unit)"></xsl:value-of></td>     
                            <td><xsl:value-of select="year"/></td>                           
                            <td>
                                <xsl:if test="price > 70">
                                    Yes    
                                </xsl:if>
                            </td>
                        </tr>
                        
                    </xsl:for-each> 
                </table>
            </body>
        </html>
    </xsl:template>
    
</xsl:stylesheet>